
Infrastructure - Bug #1501

d1_integration hudson failure wrt object format

2011-04-07 17:25 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.18-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

been failing Hudson for a while:

org.dataone.integration.D1ClientTest.testCreateDescribedDataAndMetadata

assertion failed for host http://cn-dev.dataone.org/knb/d1/ Expected: is "text/csv"      got: "text/plain"

 

The question is did the object format change and the new result is what we should expect, or is something wrong?

History

#1 - 2011-04-07 17:27 - Rob Nahf

- Assignee set to Chris Jones

#2 - 2011-04-13 04:10 - Dave Vieglais

- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2

- Position set to 15

- Position deleted (1)

#3 - 2011-04-25 15:54 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2011.15-Block.2 to Sprint-2011.17-Block.3

- Position deleted (29)

#4 - 2011-04-26 15:36 - Chris Jones

- Status changed from New to In Progress

#5 - 2011-04-26 16:00 - Chris Jones

MetacatHandler.createSystemMetadata() now parses EML documents to ferret out system metadata information such as the object format.  The

parsing code considers any simple-delimited text file to be of object format 'text/csv' (according to Matt's definition of CSV based on defacto use in

ecology).  Therefore, the test is expecting 'text/plain' when the parser is returning 'text/csv'.

We need to either:

1) Change the parser to consider tab or space delimited text files to be 'text/plain'

or

2) Change the test to expect 'text/csv' as the object format, accepting the definition that Matt described
#6 - 2011-05-03 03:47 - Dave Vieglais

- Target version changed from Sprint-2011.17-Block.3 to Sprint-2011.18-Block.3

- Position set to 183

- Position deleted (5)

#7 - 2011-05-03 16:35 - Chris Jones

We reluctantly decided to adopt the second approach - use text/csv as a catch-all format for simple delimited text files since that is the norm for many

researchers and scientific analysis packages (R, Matlab, SAS, etc.).

#8 - 2011-05-04 16:32 - Chris Jones

- Status changed from In Progress to Closed
